> ## Documentation Index
> Fetch the complete documentation index at: https://allhandsai-chore-regenerate-agent-sdk-openapi.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List Installed Skills Endpoint

> List all installed skills.

Returns a list of all skills installed in the user's installed skills
directory (~/.openhands/skills/installed/).

Returns:
    InstalledSkillsListResponse containing list of installed skills.



## OpenAPI

````yaml /openapi/agent-sdk.json get /api/skills/installed
openapi: 3.1.0
info:
  description: OpenHands Agent Server - REST/WebSocket interface for OpenHands AI Agent
  title: OpenHands Agent Server
  version: 1.52.0
servers: []
security: []
paths:
  /api/skills/installed:
    get:
      tags:
        - Skills
      summary: List Installed Skills Endpoint
      description: |-
        List all installed skills.

        Returns a list of all skills installed in the user's installed skills
        directory (~/.openhands/skills/installed/).

        Returns:
            InstalledSkillsListResponse containing list of installed skills.
      operationId: list_installed_skills_endpoint_api_skills_installed_get
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InstalledSkillsListResponse'
          description: Successful Response
      security:
        - APIKeyHeader: []
components:
  schemas:
    InstalledSkillsListResponse:
      description: Response containing list of installed skills.
      properties:
        skills:
          items:
            $ref: '#/components/schemas/InstalledSkillResponse'
          title: Skills
          type: array
      required:
        - skills
      title: InstalledSkillsListResponse
      type: object
    InstalledSkillResponse:
      description: Response containing installed skill information.
      properties:
        description:
          default: ''
          description: Skill description
          title: Description
          type: string
        enabled:
          default: true
          description: Whether the skill is enabled
          title: Enabled
          type: boolean
        install_path:
          description: Path where the skill is installed
          title: Install Path
          type: string
        installed_at:
          description: ISO 8601 timestamp of installation
          title: Installed At
          type: string
        name:
          description: Skill name
          title: Name
          type: string
        repo_path:
          anyOf:
            - type: string
            - type: 'null'
          description: Subdirectory path within the repository
          title: Repo Path
        resolved_ref:
          anyOf:
            - type: string
            - type: 'null'
          description: Resolved git commit SHA
          title: Resolved Ref
        source:
          description: Original source (e.g., 'github:owner/repo')
          title: Source
          type: string
        version:
          default: ''
          description: Skill version
          title: Version
          type: string
      required:
        - name
        - source
        - installed_at
        - install_path
      title: InstalledSkillResponse
      type: object
  securitySchemes:
    APIKeyHeader:
      in: header
      name: X-Session-API-Key
      type: apiKey

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.